Home

# Class goog.storage.EncryptedStorage

Provides an encrypted storage. The keys are hashed with a secret, so their existence cannot be verified without the knowledge of the secret. The values are encrypted using the key, a salt, and the secret, so stream cipher initialization varies for each stored value.

extends goog.storage.CollectableStorage

Instance Method Summary
| `decryptValue_(!Array salt, string key, string value) ⇒ string` Decrypts a value using a key, a salt, and the secret.
| `encryptValue_(!Array salt, string key, string value) ⇒ string` Encrypts a value using a key, a salt, and the secret.
| `getWrapper(string key, boolean= opt_expired) ⇒ (Object|undefined)` Get an item wrapper (the item and its metadata) from the storage.
| `hashKeyWithSecret_(string key) ⇒ string` Hashes a key using the secret.
| `remove(string key)` Remove an item from the data storage.
| `set(string key, <Any Type> value, number= opt_expiration)` Set an item in the storage.